/* 
   ARCHIVES.CSS — Styles spécifiques à archives.html
   */


/* -----
   HEADER DE LA PAGE
   padding-top pour passer sous le hamburger fixe (position:fixed).
   -- */
.archives-header {
    padding: 80px 40px 20px 40px;
    text-align: center;
}

.archives-header h1 {
    font-family: var(--font-title);
    font-size: 3rem;
    font-weight: 400;
    margin: 0 0 10px 0;
    color: #111;
}

.archives-sous-titre {
    font-family: var(--font-text);
    font-size: 1rem;
    color: #888;
    margin: 0;
    letter-spacing: 3px;
    text-transform: uppercase;
}


/* -----
   GALERIE MASONRY (CSS Columns)
   "columns: 250px 6" = chaque colonne fait min 250px, max 6 colonnes.
   Le navigateur calcule automatiquement le nombre de colonnes dépendament 
   de la largeur pris il est responsive. sans @media
---------------- */
.galerie {
    columns: 250px 6;
    column-gap: 15px;
    margin: 0 20px 30px 20px;
}


/* 
   CARTE PHOTO
   break-inside:avoid = empêche une photo d'être coupée entre colonnes.
 */
.cartes-photos {
    break-inside: avoid;
    margin-bottom: 15px;
    overflow: hidden;
    border-radius: 16px;
    transition: transform 0.3s ease;
    filter:
        drop-shadow(0 2.8px 2.2px rgba(0, 0, 0, 0.034))
        drop-shadow(0 6.7px 5.3px rgba(0, 0, 0, 0.048))
        drop-shadow(0 12.5px 10px rgba(0, 0, 0, 0.06))
        drop-shadow(0 22.3px 17.9px rgba(0, 0, 0, 0.072));
}

.cartes-photos:hover {
    transform: scale(1.03);
    position: relative;
    z-index: 2;
}

/* object-fit:cover sur toutes les images de la galerie
   → les images ne s'étirent jamais même si elles ont des ratios différents */
.cartes-photos img {
    display: block;          /* Enlève l'espace fantôme sous l'image petit bas des images uploder en html*/
    width: 100%;
    border-radius: 16px;
    object-fit: cover;       /*  : aucun étirement les photos prenne leurs emplacement nécessaire sans couper*/
}

/* La vidéo prend toute la place de sa carte, comme les images */
.cartes-photos video {
    display: block;
    width: 100%;
    border-radius: 16px;
    object-fit: cover;
}

/* Au hover : la vidéo se lance */
.carte-video:hover video {
    /* Le play/pause se gère en JavaScript */
}
